<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <title>sessionStorage</title>
  </head>
  <body>

    <div class="container">
        <div class="row">
            <div class="col">
                <form>
                    <div class="mb-3">
                        <label for="valorInput">Valor</label>
                        <input id="valorInput" type="text" class="form-control">
                    </div>
                </form>
            </div>

            <div class="btn btn-group">
                <button id="btnGuardar" type="button" class="btn btn-outline-success">Guardar</button>
                <button id="btnCargar" type="button" class="btn btn-outline-primary">Cargar</button>
                <button id="btnBorrar" type="button" class="btn btn-outline-danger">Borrar</button>
            </div>
            <!-- span gara guardar lo ingresado por el usuario, para luego ser mostrado-->
            <h2><span id="valorDesdeSS" class="badge bg-success"></span></h2>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>

    <!-- JavaScript -->
    <script type="text/javascript">

        /* Funcionalidad para el botón Guardar (Capturar los valores ingresados)*/
        btnGuardar.addEventListener('click', ()=>{
            let val= document.getElementById("valorInput").value;
            sessionStorage.setItem("valorEnSS", val);  /*setItem: Permite almacenar un par clave/valor */
            document.getElementById("valorInput").value = "";
        });
        
        /* Funcionalidad para el botón Cargar (Mostar los valores ingresados) */
        btnCargar.addEventListener('click', ()=>{
            let val= sessionStorage.getItem("valorEnSS");  /* getItem: Permite obtener el valor por medio de la clave */
            document.getElementById("valorDesdeSS").innerHTML= val;

        });

        /* Funcionalidad para el botón Borrar (Borrar los valores ingresados) */
        btnBorrar.addEventListener('click', ()=>{
            document.getElementById("valorDesdeSS").innerHTML= "";
            /* sessionStorage.removeItem("valorEnSS");        /*removeItem: Permite eliminar la clave y su valor */
            sessionStorage.clear();  /* clear: Utilizado para borrar todo */
        });

    </script>

  </body>
</html>